/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                   Java Language Boreas SDK, Version 7.1                    */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* File Transfer */
public class ANPacket9
{
	public static final int HEADER_LENGTH = 8;

	public long uniqueId;
	public long dataIndex;
	public byte[] packetData;

	public ANPacket9()
	{
		packetData = new byte[0];
	}

	public ANPacket toANPacket()
	{
		ANPacket packet = new ANPacket(HEADER_LENGTH + packetData.length, ANPacket.PACKET_ID_FILE_TRANSFER);
		TypeConversion.uint32ToBytes(packet.data, 0, uniqueId);
		TypeConversion.uint32ToBytes(packet.data, 8, dataIndex);
		for (int i = 0; i < packetData.length; i++)
		{
			packet.data[HEADER_LENGTH + i] = packetData[i];
		}
		return packet;
	}
}
